from abc import (
    ABC,
    abstractmethod,
)


class UpdatableEntity(ABC):
    @abstractmethod
    def __id__(self):
        raise NotImplementedError()

    @abstractmethod
    def update(self, new_value):
        raise NotImplementedError()
